import Vue from "vue"
let prototype = Vue.prototype;

export default {
    getInsurancePrice() {
        return new Promise((resolve, reject) => {
            prototype.$request({
                api: "service.insurance",
            }).then((response) => {
                if (response.code == 1) {
                    let money = parseFloat(response.data.money);
                    resolve(money > 0 ? money : 0)
                }
            }).catch(e => { });
        });
    },
    getServiceDetail(id) {
        return new Promise((resolve, reject) => {
            prototype.$request({
                api: "service.goodsDetail",
                data: {
                    id: id,
                },
            }).then((response) => {
                if (response.code == 1) {
                    return resolve(response.data);
                }

                return reject(response.msg);
            });
        })
    }
}
